Name: writer2latex
Version: 0.5.fix02
Release: alt2

Summary: Flexible tool to convert OpenOffice documents into LaTeX2e and XHTML formats
License: LGPL
Group: Development/Java
Url: http://www.hj-gym.dk/~hj/writer2latex/
Packager: Kirill Maslinsky <kirill@altlinux.org>

Source: %name-%version.tar.bz2

BuildRequires(pre): /proc rpm-build-java
# Automatically added by buildreq on Sat Jun 09 2007
BuildRequires: ant junit openoffice.org xml-commons-resolver12

Requires: java-common

BuildArch: noarch

%description
Writer2LaTeX is a flexible tool to convert OpenOffice.org documents
(both in StarOffice and OpenDocument formats) into LaTeX2e and XHTML.
It is written in Java.

You can use Writer2LaTeX
 
 * ...as a command line utility, independent of OpenOffice.org.
 * ...as an export filter for OpenOffice.org/StarOffice/NeoOffice.
 * ...from another java program.

The current version is usable for short and medium-sized documents, but lacks a few features for very long documents, see the feature list.

NOTE that stable version of Writer2LaTeX as an export filter is already included into 
OpenOffice.org package. This package provides command-line interface to writer2latex,
standard and sample config files for tuning output and documentation.

#%package javadoc
#Summary: Javadoc for %name
#Group: Development/Documentation
#Requires: java-common

#%description javadoc
#Javadoc for %name.

%prep
%setup -q -n %name-%version
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath junit) 

%ant \
           -lib %_libdir/openoffice.org/ure/share/java \
           -DOFFICE_HOME=%_libdir/openoffice.org/basis3.0 \
	jar

subst 's,%%_datadir,%_datadir,' w2l
subst 's,%%_javadir,%_javadir,' w2l

%install
# jars
%__install -d -m 755 %buildroot%_javadir
%__install -m 644 target/lib/%name.jar %buildroot%_javadir
# data
%__install -d -m 755 %buildroot%_datadir/%name
%__install -m 644 *.{xml,xsl} %buildroot%_datadir/%name
# wrapper script
%__install -d -m 755 %buildroot%_bindir
%__install -m 755 w2l %buildroot%_bindir

# javadoc
#%__install -d -m 755 %buildroot%_javadocdir/%name
#%__cp -pr target/docs/api/* %buildroot%_javadocdir/%name
#%__rm -rf target/docs/api

%files
%doc changelog05.txt History.txt Readme.txt COPYING.TXT doc/ LaTeX-article.ott samples/
%_javadir/%name.jar
%_datadir/%name
%_bindir/w2l

#%files javadoc
#%doc %_javadocdir/%name

%changelog
* Mon Oct 06 2008 Kirill Maslinsky <kirill@altlinux.org> 0.5.fix02-alt2
- fixed build
  + java paths adjusted to jar relocations in openoffice.org 3.0

* Thu Sep 18 2008 Kirill Maslinsky <kirill@altlinux.org> 0.5.fix02-alt1
- version up (0.5 -> 0.5.0.2)
  + this is an upstream bugfix release
  + fixed build

* Tue Dec 25 2007 Kirill Maslinsky <kirill@altlinux.org> 0.5final-alt1
- final 0.5 release
	several bugfixes since beta3, see changelog05.txt for details

* Wed Sep 12 2007 Kirill Maslinsky <kirill@altlinux.org> 0.5beta3-alt1
- new beta(3) release, mostly bugfix
	see changelog05.txt for information on upstream changes
- minor packaging fixes:
	+ drop workaround (buildig with 1.4 java), fixed upstream
	+ package more documentation


* Wed Jun 27 2007 Kirill Maslinsky <kirill@altlinux.ru> 0.5b-alt2
- fixed macro that was left unsubstituted in w2l

* Sat Jun 09 2007 Kirill Maslinsky <kirill@altlinux.ru> 0.5b-alt1
- Initial build for Sisyphus
- Build options
  + quick and dirty
  + used javac -source 1.4 (due to 'enum' usage that is keyword in java >= 1.5)
  + build only .jar, no javadoc and OOo filter package

